Get company insider trades
curl --request GET \
--url https://api.quantoraresearch.com/companies/{idOrLookup}/insider-trades \
--header 'x-api-key: <api-key>'import requests
url = "https://api.quantoraresearch.com/companies/{idOrLookup}/insider-trades"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.quantoraresearch.com/companies/{idOrLookup}/insider-trades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {},
"meta": {},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"requestId": "<string>",
"details": "<unknown>"
},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"requestId": "<string>",
"details": "<unknown>"
},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"requestId": "<string>",
"details": "<unknown>"
},
"requestId": "<string>"
}Companies
Get company insider trades
GET
/
companies
/
{idOrLookup}
/
insider-trades
Get company insider trades
curl --request GET \
--url https://api.quantoraresearch.com/companies/{idOrLookup}/insider-trades \
--header 'x-api-key: <api-key>'import requests
url = "https://api.quantoraresearch.com/companies/{idOrLookup}/insider-trades"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.quantoraresearch.com/companies/{idOrLookup}/insider-trades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {},
"meta": {},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"requestId": "<string>",
"details": "<unknown>"
},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"requestId": "<string>",
"details": "<unknown>"
},
"requestId": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"requestId": "<string>",
"details": "<unknown>"
},
"requestId": "<string>"
}Authorizations
apiKeybearerApiKey
Query Parameters
Trades returned, after filters.
Required range:
1 <= x <= 500Lower bound on the transaction date.
Upper bound on the transaction date.
Single SEC transaction code filter, e.g. P (purchase), S (sale), A (grant), M (option exercise).
Include Table II derivative-security transactions.
Sort by transaction date.
Available options:
asc, desc